Bug 154654 - Debug: sleeping function called from invalid context at include/asm/semaphore.h:108
Summary: Debug: sleeping function called from invalid context at include/asm/semaphore...
Status: CLOSED CANTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
(Show other bugs)
Version: 3
Hardware: x86_64 Linux
medium
medium
Target Milestone: ---
Assignee: Dave Jones
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-13 11:26 UTC by Neal Becker
Modified: 2015-01-04 22:18 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-03 01:13:47 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Neal Becker 2005-04-13 11:26:00 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.7.6) Gecko/20050323 Firefox/1.0.2 Fedora/1.0.2-1.3.1

Description of problem:
pr 13 07:17:56 localhost kernel: Debug: sleeping function called from invalid context at include/asm/semaphore.h:108
Apr 13 07:17:56 localhost kernel: in_atomic():0, irqs_disabled():1
Apr 13 07:17:56 localhost kernel:
Apr 13 07:17:56 localhost kernel: Call Trace:<ffffffff80133c45>{__might_sleep+197} <ffffffff880a54df>{:snd_ac97_codec:snd_ac97_update_bits+79}
Apr 13 07:17:56 localhost kernel:        <ffffffff880c8960>{:snd_intel8x0m:snd_intel8x0m_pcm_trigger+96}
Apr 13 07:17:56 localhost kernel:        <ffffffff880727de>{:snd_pcm:snd_pcm_do_stop+62} <ffffffff88071fc8>{:snd_pcm:snd_pcm_action_single+56}
Apr 13 07:17:56 localhost kernel:        <ffffffff88072188>{:snd_pcm:snd_pcm_action+376} <ffffffff8807338d>{:snd_pcm:snd_pcm_drop+365}
Apr 13 07:17:56 localhost kernel:        <ffffffff88076f48>{:snd_pcm:snd_pcm_common_ioctl1+4184}
Apr 13 07:17:56 localhost kernel:        <ffffffff803a2049>{thread_return+41} <ffffffff80133453>{recalc_task_prio+323}
Apr 13 07:17:56 localhost kernel:        <ffffffff80134530>{__wake_up_common+64} <ffffffff8807771b>{:snd_pcm:snd_pcm_playback_ioctl1+1931}
Apr 13 07:17:56 localhost kernel:        <ffffffff801344e0>{default_wake_function+0} <ffffffff880777aa>{:snd_pcm:snd_pcm_kernel_playback_ioctl+42}
Apr 13 07:17:56 localhost kernel:        <ffffffff88096c11>{:snd_pcm_oss:snd_pcm_oss_ioctl+801}
Apr 13 07:17:56 localhost kernel:        <ffffffff803a2049>{thread_return+41} <ffffffff801b0c4e>{do_ioctl+78}
Apr 13 07:17:56 localhost kernel:        <ffffffff801b0f73>{vfs_ioctl+787} <ffffffff801b0ffa>{sys_ioctl+106}
Apr 13 07:17:56 localhost kernel:        <ffffffff8010ec0a>{system_call+126}
Apr 13 07:17:56 localhost kernel: codec_semaphore: semaphore is not ready [0x1][0x300300]
Apr 13 07:17:56 localhost kernel: codec_write 1: semaphore is not ready for register 0x54


Version-Release number of selected component (if applicable):
2.6.11-1.14_FC3

How reproducible:
Didn't try

Steps to Reproduce:
1. ran amarok with gstreamer
2.
3.
  

Additional info:

Comment 1 Dave Jones 2005-07-15 19:04:26 UTC
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.

Comment 2 Dave Jones 2005-10-03 01:13:47 UTC
This bug has been automatically closed as part of a mass update.
It had been in NEEDINFO state since July 2005.
If this bug still exists in current errata kernels, please reopen this bug.

There are a large number of inactive bugs in the database, and this is the only
way to purge them.

Thank you.


Note You need to log in before you can comment on or make changes to this bug.